using Godot;
using System.Collections;
using System.Collections.Generic;
using Godot.Collections;

namespace Rokojori
{
  [GlobalClass,Tool]
  public partial class RichCounter:Node
  {
    [Export]
    public UIText counter;

    [Export]
    public Action onCountUp;

    public void CountUp()
    {
      var edr = Unique<EatDaRichGame>.Get();

      edr.numRich ++;
      counter.locale = LocaleText.Create( edr.numRich  + "" );

      Action.Trigger( onCountUp );
    }
  }
}